Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime
Class TimeCategory

Constructor Summary
`TimeCategory()`

Method Summary
`static Duration` | `getDay(Integer self)`
`static Duration` | `getDaylightSavingsOffset(Date self)`
`static Duration` | `getDaylightSavingsOffset(BaseDuration self)`
`static Duration` | `getDays(Integer self)`
`static TimeDuration` | `getHour(Integer self)`
`static TimeDuration` | `getHours(Integer self)`
`static TimeDuration` | `getMillisecond(Integer self)`
`static TimeDuration` | `getMilliseconds(Integer self)`
`static TimeDuration` | `getMinute(Integer self)`
`static TimeDuration` | `getMinutes(Integer self)`
`static DatumDependentDuration` | `getMonth(Integer self)`
`static DatumDependentDuration` | `getMonths(Integer self)`
`static Duration` | `getRelativeDaylightSavingsOffset(Date self, Date other)`
`static TimeDuration` | `getSecond(Integer self)`
`static TimeDuration` | `getSeconds(Integer self)`
`static TimeZone` | `getTimeZone(Date self)`
`static Duration` | `getWeek(Integer self)`
`static Duration` | `getWeeks(Integer self)`
`static DatumDependentDuration` | `getYear(Integer self)`
`static DatumDependentDuration` | `getYears(Integer self)`
`static Date` | `minus(Date date, BaseDuration duration)`
`static TimeDuration` | `minus(Date lhs, Date rhs)`
`static Date` | `plus(Date date, BaseDuration duration)`

Constructor Detail

### TimeCategory

    TimeCategory()

Method Detail

### getDay

    public static Duration getDay(Integer self)

### getDaylightSavingsOffset

    public static Duration getDaylightSavingsOffset(Date self)

### getDaylightSavingsOffset

    public static Duration getDaylightSavingsOffset(BaseDuration self)

### getDays

    public static Duration getDays(Integer self)

### getHour

    public static TimeDuration getHour(Integer self)

### getHours

    public static TimeDuration getHours(Integer self)

### getMillisecond

    public static TimeDuration getMillisecond(Integer self)

### getMilliseconds

    public static TimeDuration getMilliseconds(Integer self)

### getMinute

    public static TimeDuration getMinute(Integer self)

### getMinutes

    public static TimeDuration getMinutes(Integer self)

### getMonth

    public static DatumDependentDuration getMonth(Integer self)

### getMonths

    public static DatumDependentDuration getMonths(Integer self)

### getRelativeDaylightSavingsOffset

    public static Duration getRelativeDaylightSavingsOffset(Date self, Date other)

### getSecond

    public static TimeDuration getSecond(Integer self)

### getSeconds

    public static TimeDuration getSeconds(Integer self)

### getTimeZone

    public static TimeZone getTimeZone(Date self)

### getWeek

    public static Duration getWeek(Integer self)

### getWeeks

    public static Duration getWeeks(Integer self)

### getYear

    public static DatumDependentDuration getYear(Integer self)

### getYears

    public static DatumDependentDuration getYears(Integer self)

### minus

    public static Date minus(Date date, BaseDuration duration)

### minus

    public static TimeDuration minus(Date lhs, Date rhs)

### plus

    public static Date plus(Date date, BaseDuration duration)